# MyCMake https://gitlab.com/open-kappa/cpp/mycmake
# (c) Francesco Stefanni
# Distributed under the MIT License. See accompanying files COPYRIGHT.txt
# and LICENSE.txt or https://gitlab.com/open-kappa/cpp/mycmake for details.

#[=======================================================================[.rst:
FindMyCMakeGcc
--------------

Internal :cmake:module:`FindMyCMakeCompiler` module.
Manages compiler flags for GCC compiler.

Result Variables
^^^^^^^^^^^^^^^^

This will define the following variables:

.. cmake:variable:: MyCMakeGcc_FOUND

    True if the module and its dependencies has been conrrectly found.

.. cmake:variable:: MyCMakeGcc_VERSION

    This module version

#]=======================================================================]

cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)
include_guard(GLOBAL)

find_package(PackageHandleStandardArgs)
find_package(MyCMakeBase)

set(MyCMakeGcc_VERSION ${MYCMAKE_VERSION})

find_package_handle_standard_args(
        MyCMakeGcc
    FOUND_VAR
        MyCMakeGcc_FOUND
    REQUIRED_VARS
        MyCMakeGcc_VERSION
        MyCMakeBase_FOUND
    VERSION_VAR
        MyCMakeGcc_VERSION
)

if (MyCMakeGcc_FOUND)
    mycmake_set_default_policies()

    if (MYCMAKE_COMPILER_RUNTIME_CHECKS)
        mycmake_compiler_add_c_flag("-D_GLIBCXX_DEBUG" "Debug")
        mycmake_compiler_add_cxx_flag("-D_GLIBCXX_DEBUG" "Debug")
    endif (MYCMAKE_COMPILER_RUNTIME_CHECKS)

    if (MYCMAKE_COMPILER_WARNINGS_AS_ERRORS)
        mycmake_compiler_add_c_flag("-Werror" "Debug")
        mycmake_compiler_add_cxx_flag("-Werror" "Debug")
    endif (MYCMAKE_COMPILER_WARNINGS_AS_ERRORS)

    if (MYCMAKE_COMPILER_NO_WARNINGS)
        mycmake_compiler_add_c_flag("-w" "ALL")
        mycmake_compiler_add_cxx_flag("-w" "ALL")
    endif (MYCMAKE_COMPILER_NO_WARNINGS)

    # GCC 8.0.1

    # ##########################################################################
    # C FLAGS
    # ##########################################################################

    mycmake_compiler_add_c_flag("-Waddress" "ALL")
    mycmake_compiler_add_c_flag("-Wall" "ALL")
    mycmake_compiler_add_c_flag("-Walloc-zero" "ALL")
    mycmake_compiler_add_c_flag("-Wbad-function-cast" "ALL")
    mycmake_compiler_add_c_flag("-Wbool-compare" "ALL")
    mycmake_compiler_add_c_flag("-Wbool-operation" "ALL")
    mycmake_compiler_add_c_flag("-Wbuiltin-declaration-mismatch" "ALL")
    mycmake_compiler_add_c_flag("-Wbuiltin-macro-redefined" "ALL")
    mycmake_compiler_add_c_flag("-Wcast-function-type" "ALL")
    mycmake_compiler_add_c_flag("-Wcast-qual" "ALL")
    mycmake_compiler_add_c_flag("-Wchar-subscripts" "ALL")
    mycmake_compiler_add_c_flag("-Wchkp" "ALL")
    mycmake_compiler_add_c_flag("-Wclobbered" "ALL")
    mycmake_compiler_add_c_flag("-Wcomment" "ALL")
    mycmake_compiler_add_c_flag("-Wcomments" "ALL")
    mycmake_compiler_add_c_flag("-Wconversion" "ALL")
    mycmake_compiler_add_c_flag("-Wcpp" "ALL")
    mycmake_compiler_add_c_flag("-Wdangling-else" "ALL")
    mycmake_compiler_add_c_flag("-Wdate-time" "ALL")
    mycmake_compiler_add_c_flag("-Wdeprecated" "ALL")
    mycmake_compiler_add_c_flag("-Wdesignated-init" "ALL")
    mycmake_compiler_add_c_flag("-Wdiscarded-array-qualifiers" "ALL")
    mycmake_compiler_add_c_flag("-Wdiscarded-qualifiers" "ALL")
    mycmake_compiler_add_c_flag("-Wdiv-by-zero" "ALL")
    mycmake_compiler_add_c_flag("-Wdouble-promotion" "ALL")
    mycmake_compiler_add_c_flag("-Wduplicate-decl-specifier" "ALL")
    mycmake_compiler_add_c_flag("-Wduplicated-branches" "ALL")
    mycmake_compiler_add_c_flag("-Wduplicated-cond" "ALL")
    mycmake_compiler_add_c_flag("-Wempty-body" "ALL")
    mycmake_compiler_add_c_flag("-Wendif-labels" "ALL")
    mycmake_compiler_add_c_flag("-Wenum-compare" "ALL")
    mycmake_compiler_add_c_flag("-Wexpansion-to-defined" "ALL")
    mycmake_compiler_add_c_flag("-Wextra" "ALL")
    mycmake_compiler_add_c_flag("-Wfloat-conversion" "ALL")
    mycmake_compiler_add_c_flag("-Wfloat-equal" "ALL")
    mycmake_compiler_add_c_flag("-Wformat" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-contains-nul" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-extra-args" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-nonliteral" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-overflow" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-security" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-signedness" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-truncation" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-y2k" "ALL")
    mycmake_compiler_add_c_flag("-Wformat-zero-length" "ALL")
    mycmake_compiler_add_c_flag("-Wframe-address" "ALL")
    mycmake_compiler_add_c_flag("-Wif-not-aligned" "MinSizeRel")
    mycmake_compiler_add_c_flag("-Wignored-attributes" "ALL")
    mycmake_compiler_add_c_flag("-Wignored-qualifiers" "ALL")
    mycmake_compiler_add_c_flag("-Wimplicit" "ALL")
    mycmake_compiler_add_c_flag("-Wimplicit-function-declaration" "ALL")
    mycmake_compiler_add_c_flag("-Wimplicit-int" "ALL")
    mycmake_compiler_add_c_flag("-Wincompatible-pointer-types" "ALL")
    mycmake_compiler_add_c_flag("-Winit-self" "ALL")
    mycmake_compiler_add_c_flag("-Wint-conversion" "ALL")
    mycmake_compiler_add_c_flag("-Wint-in-bool-context" "ALL")
    mycmake_compiler_add_c_flag("-Wint-to-pointer-cast" "ALL")
    mycmake_compiler_add_c_flag("-Wjump-misses-init" "ALL")
    mycmake_compiler_add_c_flag("-Wlogical-not-parentheses" "ALL")
    mycmake_compiler_add_c_flag("-Wlogical-op" "ALL")
    mycmake_compiler_add_c_flag("-Wno-long-long" "ALL")
    mycmake_compiler_add_c_flag("-Wmain" "ALL")
    mycmake_compiler_add_c_flag("-Wmaybe-uninitialized" "ALL")
    mycmake_compiler_add_c_flag("-Wmemset-elt-size" "ALL")
    mycmake_compiler_add_c_flag("-Wmemset-transposed-args" "ALL")
    mycmake_compiler_add_c_flag("-Wmisleading-indentation" "ALL")
    mycmake_compiler_add_c_flag("-Wmissing-attributes" "ALL")
    mycmake_compiler_add_c_flag("-Wmissing-braces" "ALL")
    mycmake_compiler_add_c_flag("-Wmissing-declarations" "ALL")
    mycmake_compiler_add_c_flag("-Wmissing-field-initializers" "ALL")
    mycmake_compiler_add_c_flag("-Wmissing-prototypes" "ALL")
    mycmake_compiler_add_c_flag("-Wmultichar" "ALL")
    mycmake_compiler_add_c_flag("-Wmultistatement-macros" "ALL")
    mycmake_compiler_add_c_flag("-Wnarrowing" "ALL")
    mycmake_compiler_add_c_flag("-Wnested-externs" "ALL")
    mycmake_compiler_add_c_flag("-Wnonnull" "ALL")
    mycmake_compiler_add_c_flag("-Wnonnull-compare" "ALL")
    mycmake_compiler_add_c_flag("-Wold-style-declaration" "ALL")
    mycmake_compiler_add_c_flag("-Wold-style-definition" "ALL")
    mycmake_compiler_add_c_flag("-Woverlength-strings" "ALL")
    mycmake_compiler_add_c_flag("-Woverride-init" "ALL")
    mycmake_compiler_add_c_flag("-Woverride-init-side-effects" "ALL")
    mycmake_compiler_add_c_flag("-Wpacked-not-aligned" "ALL")
    mycmake_compiler_add_c_flag("-Wparentheses" "ALL")
    mycmake_compiler_add_c_flag("-Wpedantic" "ALL")
    mycmake_compiler_add_c_flag("-Wpointer-arith" "ALL")
    mycmake_compiler_add_c_flag("-Wpointer-compare" "ALL")
    mycmake_compiler_add_c_flag("-Wpointer-sign" "ALL")
    mycmake_compiler_add_c_flag("-Wpointer-to-int-cast" "ALL")
    mycmake_compiler_add_c_flag("-Wpragmas" "ALL")
    mycmake_compiler_add_c_flag("-Wredundant-decls" "ALL")
    mycmake_compiler_add_c_flag("-Wrestrict" "ALL")
    mycmake_compiler_add_c_flag("-Wreturn-type" "ALL")
    mycmake_compiler_add_c_flag("-Wscalar-storage-order" "ALL")
    mycmake_compiler_add_c_flag("-Wsequence-point" "ALL")
    mycmake_compiler_add_c_flag("-Wshift-count-negative" "ALL")
    mycmake_compiler_add_c_flag("-Wshift-count-overflow" "ALL")
    mycmake_compiler_add_c_flag("-Wshift-negative-value" "ALL")
    mycmake_compiler_add_c_flag("-Wshift-overflow" "ALL")
    mycmake_compiler_add_c_flag("-Wsign-compare" "ALL")
    mycmake_compiler_add_c_flag("-Wsign-conversion" "ALL")
    mycmake_compiler_add_c_flag("-Wsizeof-array-argument" "ALL")
    mycmake_compiler_add_c_flag("-Wsizeof-pointer-div" "ALL")
    mycmake_compiler_add_c_flag("-Wsizeof-pointer-memaccess" "ALL")
    mycmake_compiler_add_c_flag("-Wstrict-aliasing" "ALL")
    mycmake_compiler_add_c_flag("-Wstrict-overflow" "ALL")
    mycmake_compiler_add_c_flag("-Wstrict-overflow=" "ALL")
    mycmake_compiler_add_c_flag("-Wstrict-prototypes" "ALL")
    mycmake_compiler_add_c_flag("-Wstringop-overflow" "ALL")
    mycmake_compiler_add_c_flag("-Wstringop-truncation" "ALL")
    mycmake_compiler_add_c_flag("-Wsuggest-attribute" "ALL")
    mycmake_compiler_add_c_flag("-Wsuggest-attribute=" "ALL")
    mycmake_compiler_add_c_flag("-Wswitch" "ALL")
    mycmake_compiler_add_c_flag("-Wswitch-bool" "ALL")
    mycmake_compiler_add_c_flag("-Wno-switch-default" "ALL")
    mycmake_compiler_add_c_flag("-Wswitch-enum" "ALL")
    mycmake_compiler_add_c_flag("-Wsync-nand" "ALL")
    mycmake_compiler_add_c_flag("-Wno-system-headers" "ALL")
    mycmake_compiler_add_c_flag("-Wtautological-compare" "ALL")
    mycmake_compiler_add_c_flag("-Wtraditional-conversion" "ALL")
    mycmake_compiler_add_c_flag("-Wtrigraphs" "ALL")
    mycmake_compiler_add_c_flag("-Wundef" "ALL")
    mycmake_compiler_add_c_flag("-Wuninitialized" "ALL")
    mycmake_compiler_add_c_flag("-Wunknown-pragmas" "ALL")
    mycmake_compiler_add_c_flag("-Wunsuffixed-float-constants" "ALL")
    mycmake_compiler_add_c_flag("-Wunused" "ALL")
    mycmake_compiler_add_c_flag("-Wunused-macros" "ALL")
    mycmake_compiler_add_c_flag("-Wunused-result" "ALL")
    mycmake_compiler_add_c_flag("-Wvarargs" "ALL")
    mycmake_compiler_add_c_flag("-Wno-variadic-macros" "ALL")
    mycmake_compiler_add_c_flag("-Wvla" "ALL")
    mycmake_compiler_add_c_flag("-Wvolatile-register-var" "ALL")
    mycmake_compiler_add_c_flag("-Wwrite-strings" "ALL")

    # ##########################################################################
    # C++ FLAGS
    # ##########################################################################

    mycmake_compiler_add_cxx_flag("-Waddress" "ALL")
    mycmake_compiler_add_cxx_flag("-Wall" "ALL")
    mycmake_compiler_add_cxx_flag("-Walloc-zero" "ALL")
    mycmake_compiler_add_cxx_flag("-Wbool-compare" "ALL")
    mycmake_compiler_add_cxx_flag("-Wbool-operation" "ALL")
    mycmake_compiler_add_cxx_flag("-Wbuiltin-declaration-mismatch" "ALL")
    mycmake_compiler_add_cxx_flag("-Wbuiltin-macro-redefined" "ALL")
    mycmake_compiler_add_cxx_flag("-Wcast-function-type" "ALL")
    mycmake_compiler_add_cxx_flag("-Wcast-qual" "ALL")
    mycmake_compiler_add_cxx_flag("-Wcatch-value" "ALL")
    mycmake_compiler_add_cxx_flag("-Wchar-subscripts" "ALL")
    mycmake_compiler_add_cxx_flag("-Wchkp" "ALL")
    mycmake_compiler_add_cxx_flag("-Wclass-memaccess" "ALL")
    mycmake_compiler_add_cxx_flag("-Wclobbered" "ALL")
    mycmake_compiler_add_cxx_flag("-Wcomment" "ALL")
    mycmake_compiler_add_cxx_flag("-Wcomments" "ALL")
    mycmake_compiler_add_cxx_flag("-Wconditionally-supported" "ALL")
    mycmake_compiler_add_cxx_flag("-Wconversion" "ALL")
    mycmake_compiler_add_cxx_flag("-Wconversion-null" "ALL")
    mycmake_compiler_add_cxx_flag("-Wcpp" "ALL")
    mycmake_compiler_add_cxx_flag("-Wctor-dtor-privacy" "ALL")
    mycmake_compiler_add_cxx_flag("-Wdangling-else" "ALL")
    mycmake_compiler_add_cxx_flag("-Wdate-time" "ALL")
    mycmake_compiler_add_cxx_flag("-Wdelete-incomplete" "ALL")
    mycmake_compiler_add_cxx_flag("-Wdelete-non-virtual-dtor" "ALL")
    mycmake_compiler_add_cxx_flag("-Wdeprecated" "ALL")
    mycmake_compiler_add_cxx_flag("-Wdiv-by-zero" "ALL")
    mycmake_compiler_add_cxx_flag("-Wdouble-promotion" "ALL")
    mycmake_compiler_add_cxx_flag("-Wduplicated-branches" "ALL")
    mycmake_compiler_add_cxx_flag("-Wduplicated-cond" "ALL")
    mycmake_compiler_add_cxx_flag("-Weffc++" "ALL")
    mycmake_compiler_add_cxx_flag("-Wempty-body" "ALL")
    mycmake_compiler_add_cxx_flag("-Wendif-labels" "ALL")
    mycmake_compiler_add_cxx_flag("-Wenum-compare" "ALL")
    mycmake_compiler_add_cxx_flag("-Wexpansion-to-defined" "ALL")
    mycmake_compiler_add_cxx_flag("-Wextra" "ALL")
    mycmake_compiler_add_cxx_flag("-Wextra-semi" "ALL")
    mycmake_compiler_add_cxx_flag("-Wfloat-conversion" "ALL")
    mycmake_compiler_add_cxx_flag("-Wfloat-equal" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-contains-nul" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-extra-args" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-nonliteral" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-overflow" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-security" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-signedness" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-truncation" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-y2k" "ALL")
    mycmake_compiler_add_cxx_flag("-Wformat-zero-length" "ALL")
    mycmake_compiler_add_cxx_flag("-Wframe-address" "ALL")
    mycmake_compiler_add_cxx_flag("-Wif-not-aligned" "MinSizeRel")
    mycmake_compiler_add_cxx_flag("-Wignored-attributes" "ALL")
    mycmake_compiler_add_cxx_flag("-Wignored-qualifiers" "ALL")
    mycmake_compiler_add_cxx_flag("-Winherited-variadic-ctor" "ALL")
    mycmake_compiler_add_cxx_flag("-Winit-self" "ALL")
    mycmake_compiler_add_cxx_flag("-Wint-in-bool-context" "ALL")
    mycmake_compiler_add_cxx_flag("-Wint-to-pointer-cast" "ALL")
    mycmake_compiler_add_cxx_flag("-Winvalid-offsetof" "ALL")
    mycmake_compiler_add_cxx_flag("-Wliteral-suffix" "ALL")
    mycmake_compiler_add_cxx_flag("-Wlogical-not-parentheses" "ALL")
    mycmake_compiler_add_cxx_flag("-Wlogical-op" "ALL")
    mycmake_compiler_add_cxx_flag("-Wno-long-long" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmain" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmaybe-uninitialized" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmemset-elt-size" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmemset-transposed-args" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmisleading-indentation" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmissing-attributes" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmissing-braces" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmissing-declarations" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmissing-field-initializers" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmultichar" "ALL")
    mycmake_compiler_add_cxx_flag("-Wmultistatement-macros" "ALL")
    mycmake_compiler_add_cxx_flag("-Wnarrowing" "ALL")
    mycmake_compiler_add_cxx_flag("-Wnoexcept" "ALL")
    mycmake_compiler_add_cxx_flag("-Wnon-template-friend" "ALL")
    mycmake_compiler_add_cxx_flag("-Wnon-virtual-dtor" "ALL")
    mycmake_compiler_add_cxx_flag("-Wnonnull" "ALL")
    mycmake_compiler_add_cxx_flag("-Wnonnull-compare" "ALL")
    mycmake_compiler_add_cxx_flag("-Wold-style-cast" "ALL")
    mycmake_compiler_add_cxx_flag("-Woverlength-strings" "ALL")
    mycmake_compiler_add_cxx_flag("-Woverloaded-virtual" "ALL")
    mycmake_compiler_add_cxx_flag("-Wpacked-not-aligned" "ALL")
    mycmake_compiler_add_cxx_flag("-Wparentheses" "ALL")
    mycmake_compiler_add_cxx_flag("-Wpedantic" "ALL")
    mycmake_compiler_add_cxx_flag("-Wplacement-new" "ALL")
    mycmake_compiler_add_cxx_flag("-Wpmf-conversions" "ALL")
    mycmake_compiler_add_cxx_flag("-Wpointer-arith" "ALL")
    mycmake_compiler_add_cxx_flag("-Wpointer-compare" "ALL")
    mycmake_compiler_add_cxx_flag("-Wpragmas" "ALL")
    mycmake_compiler_add_cxx_flag("-Wredundant-decls" "ALL")
    mycmake_compiler_add_cxx_flag("-Wregister" "ALL")
    mycmake_compiler_add_cxx_flag("-Wrestrict" "ALL")
    mycmake_compiler_add_cxx_flag("-Wreturn-type" "ALL")
    mycmake_compiler_add_cxx_flag("-Wscalar-storage-order" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsequence-point" "ALL")
    mycmake_compiler_add_cxx_flag("-Wshift-count-negative" "ALL")
    mycmake_compiler_add_cxx_flag("-Wshift-count-overflow" "ALL")
    mycmake_compiler_add_cxx_flag("-Wshift-negative-value" "ALL")
    mycmake_compiler_add_cxx_flag("-Wshift-overflow" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsign-compare" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsign-conversion" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsign-promo" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsized-deallocation" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsizeof-array-argument" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsizeof-pointer-div" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsizeof-pointer-memaccess" "ALL")
    mycmake_compiler_add_cxx_flag("-Wstrict-null-sentinel" "ALL")
    mycmake_compiler_add_cxx_flag("-Wstrict-overflow" "ALL")
    mycmake_compiler_add_cxx_flag("-Wstrict-overflow=" "ALL")
    mycmake_compiler_add_cxx_flag("-Wstringop-overflow" "ALL")
    mycmake_compiler_add_cxx_flag("-Wstringop-truncation" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsubobject-linkage" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsuggest-attribute" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsuggest-attribute=" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsuggest-override" "ALL")
    mycmake_compiler_add_cxx_flag("-Wswitch" "ALL")
    mycmake_compiler_add_cxx_flag("-Wswitch-bool" "ALL")
    mycmake_compiler_add_cxx_flag("-Wswitch-enum" "ALL")
    mycmake_compiler_add_cxx_flag("-Wsync-nand" "ALL")
    mycmake_compiler_add_cxx_flag("-Wtautological-compare" "ALL")
    mycmake_compiler_add_cxx_flag("-Wterminate" "ALL")
    mycmake_compiler_add_cxx_flag("-Wtrigraphs" "ALL")
    mycmake_compiler_add_cxx_flag("-Wundef" "ALL")
    mycmake_compiler_add_cxx_flag("-Wuninitialized" "ALL")
    mycmake_compiler_add_cxx_flag("-Wunknown-pragmas" "ALL")
    mycmake_compiler_add_cxx_flag("-Wunused" "ALL")
    mycmake_compiler_add_cxx_flag("-Wunused-const-variable" "ALL")
    mycmake_compiler_add_cxx_flag("-Wunused-local-typedefs" "ALL")
    mycmake_compiler_add_cxx_flag("-Wunused-macros" "ALL")
    mycmake_compiler_add_cxx_flag("-Wunused-result" "ALL")
    mycmake_compiler_add_cxx_flag("-Wunused-variable" "ALL")
    mycmake_compiler_add_cxx_flag("-Wuseless-cast" "ALL")
    mycmake_compiler_add_cxx_flag("-Wvarargs" "ALL")
    mycmake_compiler_add_cxx_flag("-Wvirtual-move-assign" "ALL")
    mycmake_compiler_add_cxx_flag("-Wvla" "ALL")
    mycmake_compiler_add_cxx_flag("-Wvolatile-register-var" "ALL")
    mycmake_compiler_add_cxx_flag("-Wwrite-strings" "ALL")
    mycmake_compiler_add_cxx_flag("-Wzero-as-null-pointer-constant" "ALL")

    # ##########################################################################
    # LINKER FLAGS
    # ##########################################################################

    #mycmake_compiler_add_linker_flag("-Wl,--as-needed" "ALL")

endif (MyCMakeGcc_FOUND)

# EOF
